Bug 1270009 - Services: UI error deleting Services
Services: UI error deleting Services
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Taras Lehinevych
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 14:46 EDT by Harpreet Kataria
Modified: 2016-08-02 21:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:35:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harpreet Kataria 2015-10-08 14:46:42 EDT
Description of problem: UI error deleting Services


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Go to List of Services
2. Select one or more to delete
3. Pressing delete button deletes the selected Service but throws an error 
Error caught: [NoMethodError] undefined method `name' for nil:NilClass

Actual results: Error when deleting a service


Expected results: Should draw right cell after service is deleted.


Additional info:
Comment 1 Harpreet Kataria 2015-10-08 14:47:08 EDT
https://github.com/ManageIQ/manageiq/issues/4644
Comment 4 CFME Bot 2015-10-09 10:14:36 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7af20cf9851811eb501adb267cf925ccc317f9d3

commit 7af20cf9851811eb501adb267cf925ccc317f9d3
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Oct 8 17:55:22 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Oct 8 17:55:22 2015 -0400

    Fixed code in replace_right_cell to loop thru replace_trees array
    
    Added spec test to verify the fix.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1270009
    Fixes #4644

 app/controllers/service_controller.rb       |  2 +-
 spec/controllers/service_controller_spec.rb | 17 +++++++++++++++++
 2 files changed, 18 insertions(+), 1 deletion(-)
Comment 5 CFME Bot 2015-10-16 17:13:08 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8b75f5fbda0fb30772d76c485e2dfac93e96a981

commit 8b75f5fbda0fb30772d76c485e2dfac93e96a981
Merge: 2eab531 7381e3a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Oct 16 17:10:00 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Oct 16 17:10:00 2015 -0400

    Merge branch '54z_bz_1270305' into '5.4.z'
    
    Fixed to return correct partial name
    
    Added spec test to verify the fix.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1270009
    https://bugzilla.redhat.com/show_bug.cgi?id=1270305
    Fixes #4644
    
    @dclarizi please review, clean patch was applied.
    Original PR: https://github.com/ManageIQ/manageiq/pull/4757
    
    See merge request !285

 .../application_controller/miq_request_methods.rb  |  3 +-
 .../miq_request_methods_spec.rb                    | 36 ++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)
Comment 6 Taras Lehinevych 2015-10-27 11:39:18 EDT
Verified fixed in version 5.5.0.7

Tried to delete one and multiply service by selecting them and pressing delete button, also open a service and perform delete, as a result I didn't get any error messages.
Comment 8 errata-xmlrpc 2015-12-08 08:35:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.